読者です 読者をやめる 読者になる 読者になる

kopug memo

名古屋で働くとあるWebエンジニアの覚書。

httpd-2.2.*で最低限必要なmodule

centos5.3でapacheRPMインストールした際のデフォルト設定で必要なモジュール一覧です。

  1. mod_mime      (AddHandlerで必要)
  2. mod_dir      (DirectoryIndexで必要)
  3. mod_authz_host   (Orderで必要)
  4. mod_log_config   (LogFormatで必要)
  5. mod_alias     (Aliasで必要)
  6. mod_autoindex   (IndexOptionsで必要)
  7. mod_negotiation  (LanguagePriorityで必要)
  8. mod_setenvif    (BrowserMatchで必要)

上記以外のモジュールをコメントするとメモリ量がこれだけ変化しました。

4,316kbyte -> 3,648kbyte